<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>更新履歴管理 - MicroEngine</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_home').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'page_revision_info.html'));?>
<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../Page/info?path=<?php h::p($path) ?>">ページ情報</a> <span class="divider">/</span></li>
<li class="active">更新履歴管理</li>
</ul>

<h4>ページ情報</h4>
<table class="table">
<tbody>
<tr>
<th class="span2">ページパス</th>
<td>
<?php h::p($path) ?>
</td>
</tr>
</tbody>
</table>

<h4>更新履歴一覧</h4>

<?php if (count($rows) === 0): ?>
<div class="alert alert-info">更新履歴はありません。</div>
<?php else: ?>
<table class="table table-striped">
<tbody>
<tr>
<th>日時</th><th>ユーザー</th><th>コメント</th><th>操作</th>
</tr>
<?php foreach($rows as $row): ?>
<tr>
<td><?php h::date_time($row['create_date']) ?></td>
<td><?php h::p($row['user_name']) ?></td>
<td><?php h::nl($row['comment']) ?></td>
<td>
<a class="btn btn-small btn-info" href="../Page/revision_preview?pi=<?php h::p($row['page_id']) ?>&ri=<?php h::p($row['revision_id']) ?>" target="_blank">プレビュー</a>
<a class="btn btn-small btn-warning" href="../Page/edit?pi=<?php h::p($row['page_id']) ?>&ri=<?php h::p($row['revision_id']) ?>">再編集</a>
</td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
<?php endif; ?>

<a href="../Page/info?path=<?php h::p($path) ?>" class="btn">戻る</a>
</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>