<div class="folder_control">
<button type="button" class="btn btn-mini" title="上位フォルダーを表示" onclick="me.siteview.upDirectory();"><i class="icon-arrow-up"></i></button>
</div>
<table class="table table-striped folder_table">
<?php foreach($rows as $row): ?>
<?php $selected_file_prefix = (isset($row['selected'])) ? '<strong>' : ''; ?>
<?php $selected_file_suffix = (isset($row['selected'])) ? '</strong>' : ''; ?>
<tr>
<td>
<?php if ($row['page_type'] === Page_Logic::PAGE_TYPE_DIRECTORY): ?>
    <a href="#" onclick="me.siteview.openPath('<?php h::p(SITE_PATH . $row['page_path']) ?>');return false;" title="<?php h::p($row['file_name']) ?>"><img src="../../app/assets/img/silk/folder.png" width="16" height="16" alt="folder">
<?php h::no_escape($selected_file_prefix) ?><?php h::p($row['file_name']) ?><?php h::no_escape($selected_file_suffix) ?></a>
<?php else: ?>
<?php $image_file = ($row['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE || $row['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE_ARCHIVE) ? 'page_edit.png' : 'page_white.png' ?>
<a href="#" onclick="me.siteview.openPath('<?php h::p(SITE_PATH . $row['page_path']) ?>');return false;" title="<?php h::p($row['file_name'] . $row['extension']) ?>"><img src="../../app/assets/img/silk/<?php h::p($image_file) ?>" width="16" height="16" alt="page">
<?php h::no_escape($selected_file_prefix) ?>
<?php
if (strlen($row['title']) > 0):
  h::p($row['title']);
else:
  h::p($row['file_name'] . $row['extension']);
endif;
?>
<?php h::no_escape($selected_file_suffix) ?></a>
<?php endif;?>
</td>
</tr>
<?php endforeach; ?>
</table>

<div id="page_action_box">
<?php if ($access_priv): ?>
  <?php if (!empty($page) && $page['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE): ?>
    <?php if ($page['template_type'] !== 'sub'): ?>
<a class="btn btn-primary" href="../Page/edit?pi=<?php h::p($page['_id']) ?>&di=<?php h::p($page['draft_id']) ?>">ページ編集</a>
    <?php endif; ?>
    <?php if (strlen($page['draft_id']) > 0): ?>
<a class="btn btn-warning" href="../Page/edit?pi=<?php h::p($page['_id']) ?>&di=<?php h::p($page['draft_id']) ?>&draft_edit=true">下書き編集</a>
    <?php endif; ?>
    <?php if ($page['template_type'] === 'multi'): ?>
<a class="btn btn-inverse" href="../Page/edit?ti=<?php h::p($page['template_id']) ?>&path=<?php h::p($page['page_path']) ?>">ページ新規作成</a>
    <?php endif; ?>
    <?php if (User_Role::require_designer(false)): ?>
<a class="btn" href="../Template/edit?pi=<?php h::p($page['_id']) ?>">テンプレート編集</a>
    <?php endif; ?>
<a class="btn btn-info" href="../Page/info?path=<?php h::p($page['page_path']) ?>">ページ情報</a>
  <?php elseif (!empty($page) && $page['page_type'] === Page_Logic::PAGE_TYPE_FILE && User_Role::require_designer(false)): ?>
<a class="btn" href="../Template/edit?pi=<?php h::p($page['_id']) ?>">テンプレート新規作成</a>
<a class="btn" href="../File/edit?pi=<?php h::p($page['_id']) ?>">コード編集</a>
  <?php elseif (!empty($page) && $page['page_type'] === Page_Logic::PAGE_TYPE_OTHER && User_Role::require_designer(false)): ?>
<a class="btn" href="../File/edit?pi=<?php h::p($page['_id']) ?>">コード編集</a>
  <?php elseif (!empty($page) && $page['page_type'] === Page_Logic::PAGE_TYPE_TEMPLATE_ARCHIVE): ?>
<a class="btn btn-info" href="../Page/info?path=<?php h::p($page['page_path']) ?>">ページ情報</a>
  <?php endif; ?>
<?php endif; ?>
</div>